using System;
using System.Collections.Generic;
using System.Diagnostics;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace betrace_carfi_erp_driver
{
    interface IConnectorERP
    {
        bool UpdateDocument(Components.Document.Cab cab, List<Components.Document.Lin> lines, ref string docNumber);

        bool UpdateDocumentInternal(Components.Document.Cab cab, List<Components.Document.Lin> lines, ref string docNumber);
        bool UpdateDocumentBuy(Components.Document.Cab cab, List<Components.Document.Lin> lines, ref string docNumber);
        bool UpdateDocumentSell(Components.Document.Cab cab, List<Components.Document.Lin> lines, ref string docNumber);
        bool UpdateDocumentProduction(Components.Document.Cab cab, List<Components.Document.Lin> lines, ref string docNumber);

        bool UpdateArticle(Components.Article article);
    }
}
